Package org.apache.lucene.queryparser.flexible.messages

# Interface NLSException

All Known Implementing Classes:
  `ParseException`, `QueryNodeError`, `QueryNodeException`, `QueryNodeParseException`

public interface NLSException
Interface that exceptions should implement to support lazy loading of messages.

For Native Language Support (NLS), system of software internationalization.

This Interface should be implemented by all exceptions that require translation

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Message`
  `getMessageObject()`

- ## Method Details

  - ### getMessageObject

    Message getMessageObject()
    Returns:
      a instance of a class that implements the Message interface